#
# Conditional build:
%bcond_with	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	Net::SSLeay - Perl extension for using OpenSSL or SSLeay
Summary(pl):	Net::SSLeay - rozszerzenie Perla do uywania OpenSSL lub SSLeay
Name:		perl-Net-SSLeay
Version:	1.30
Release:	1
# same as openssl
License:	Apache-style License
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/Net_SSLeay.pm-%{version}.tar.gz
# Source0-md5:	b0cd6c1681bbc0695d81be5cd852d1d0
Patch0:		%{name}-paths.patch
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	openssl-tools >= 0.9.7d
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module offers some high level convinience functions for accessing
web pages on SSL servers, a sslcat() function for writing your own
clients, and finally access to the SSL api of SSLeay/OpenSSL package
so you can write servers or clients for more complicated applications.

%description -l pl
Ten modu oferuje kilka wygodnych funkcji wysokiego poziomu sucych
do dostpu do stron WWW na serwerach SSL, funkcj sslcat() do pisania
wasnych klientw, oraz dostp do API SSL pakietu SSLeay/OpenSSL, co
pozwala na pisanie serwerw lub klientw dla bardziej skomplikowanych
aplikacji.

%prep
%setup -q -n Net_SSLeay.pm-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL %{_prefix} \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install examples/*.{pl,conf} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes Credits README
%{perl_vendorarch}/Net/SSLeay.pm
%{perl_vendorarch}/Net/SSLeay
%{perl_vendorarch}/Net/ptrtstrun.pl
%dir %{perl_vendorarch}/auto/Net/SSLeay
%{perl_vendorarch}/auto/Net/SSLeay/autosplit.ix
%{perl_vendorarch}/auto/Net/SSLeay/*.al
%{perl_vendorarch}/auto/Net/SSLeay/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Net/SSLeay/*.so
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}
%changelog
* Sat Mar 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Net-SSLeay.git;a=log;h=AC-branch

* Sat Mar 17 2007 hawk <hawk@pld-linux.org> a3236fc
- updated to 1.30

* Fri May 07 2004 ankry <ankry@pld-linux.org> f644773
- rel. 2

* Thu May 06 2004 ankry <ankry@pld-linux.org> d83281a
- fixed perl-devel BR

* Tue Apr 27 2004 ankry <ankry@pld-linux.org> 9506710
- license fixes, cosmetics

* Thu Apr 15 2004 ankry <ankry@pld-linux.org> 71c734b
- cosmetics, unification

* Fri Mar 19 2004 ankry <ankry@pld-linux.org> 259c50d
- massive change: BR openssl-devel >= 0.9.7d

* Sat Mar 13 2004 eothane <eothane@pld-linux.org> f89153f
- new bcond style; some cosmetics here and there; changelog cleanups

* Tue Sep 30 2003 eothane <eothane@pld-linux.org> 510e628
- ahh, what the hell: openssl 0.9.7c

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 981b0a9
- spaces -> tab

* Wed Aug 20 2003 grzegol <grzegol@pld-linux.org> 57001df
- updated to 1.25

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 92a2c89
- mass commit: cosmetics (removed trailing white spaces)

* Wed Jul 30 2003 grzegol <grzegol@pld-linux.org> a7798de
- updated to 1.23

* Fri Jun 13 2003 radzio <radzio@pld-linux.org> 9bf6eec
- updated patch0 (perl-Net-SSLeay-paths.patch) - fix bug no. 676

* Fri Jun 13 2003 radzio <radzio@pld-linux.org> 86666ac
- updated (fix bug no. 676)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 06b6ef5
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> c5522c2
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> 468c163
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> 4a04154
- should be ready for perl-5.8.0; release++

* Tue Feb 25 2003 radek <radek@pld-linux.org> 898d198
- version 1.22; added Credits file and tests (remote, so default off)

* Tue Feb 25 2003 radek <radek@pld-linux.org> 23f56c5
- use the __perl macro

